From 37e3483fe83b4168a8ef55c513b3023f99baf5fe Mon Sep 17 00:00:00 2001
From: Leah Neukirchen <leah@vuxu.org>
Date: Thu, 18 Jul 2019 11:07:04 +0200
Subject: [PATCH 04/14] [WIP] add configure/autoconf_cache/riscv64-linux

---
 common/environment/configure/autoconf_cache/riscv64-linux | 5 +++++
 common/environment/configure/gnu-configure-args.sh        | 5 +++++
 2 files changed, 10 insertions(+)
 create mode 100644 common/environment/configure/autoconf_cache/riscv64-linux

diff --git a/common/environment/configure/autoconf_cache/riscv64-linux b/common/environment/configure/autoconf_cache/riscv64-linux
new file mode 100644
index 00000000000..2b45e5aaa81
--- /dev/null
+++ b/common/environment/configure/autoconf_cache/riscv64-linux
@@ -0,0 +1,5 @@
+# XXX all just guesswork!
+
+glib_cv_stack_grows=${glib_cv_stack_grows=no}
+glib_cv_uscore=${glib_cv_uscore=no}
+
diff --git a/common/environment/configure/gnu-configure-args.sh b/common/environment/configure/gnu-configure-args.sh
index ea82c1cc17e..e5ca2a45b74 100644
--- a/common/environment/configure/gnu-configure-args.sh
+++ b/common/environment/configure/gnu-configure-args.sh
@@ -109,6 +109,11 @@ case "$XBPS_TARGET_MACHINE" in
 		. ${_AUTOCONFCACHEDIR}/powerpc64-linux
 		;;
 
+	riscv*)
+		. ${_AUTOCONFCACHEDIR}/endian-little
+		. ${_AUTOCONFCACHEDIR}/riscv64-linux
+		;;
+
 	*) ;;
 esac
 

